Criar lista de contatos
curl --request POST \
--url https://app.madmail.com.br/api/v1/contactBooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"emoji": "<string>",
"properties": {},
"doubleOptInEnabled": true,
"doubleOptInFrom": "<string>",
"doubleOptInSubject": "<string>",
"doubleOptInContent": "<string>",
"variables": [
"<string>"
]
}
'import requests
url = "https://app.madmail.com.br/api/v1/contactBooks"
payload = {
"name": "<string>",
"emoji": "<string>",
"properties": {},
"doubleOptInEnabled": True,
"doubleOptInFrom": "<string>",
"doubleOptInSubject": "<string>",
"doubleOptInContent": "<string>",
"variables": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
emoji: '<string>',
properties: {},
doubleOptInEnabled: true,
doubleOptInFrom: '<string>',
doubleOptInSubject: '<string>',
doubleOptInContent: '<string>',
variables: ['<string>']
})
};
fetch('https://app.madmail.com.br/api/v1/contactBooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "clx1234567890",
"name": "Newsletter Subscribers",
"teamId": 1,
"properties": {
"customField1": "value1"
},
"variables": [
"registrationCode",
"company"
],
"emoji": "📙",
"createdAt": "<string>",
"updatedAt": "<string>",
"doubleOptInEnabled": true,
"doubleOptInFrom": "Newsletter <hello@example.com>",
"doubleOptInSubject": "Please confirm your subscription",
"doubleOptInContent": "<string>",
"_count": {
"contacts": 123
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Response
Cria uma nova lista de contatos
ID da lista de contatos
"clx1234567890"
Nome da lista de contatos
"Newsletter Subscribers"
ID do time
1
Propriedades personalizadas da lista de contatos
Show child attributes
Show child attributes
{ "customField1": "value1" }
Variáveis de personalização permitidas para os contatos desta lista
["registrationCode", "company"]
Emoji associado à lista de contatos
"📙"
Data e hora de criação
Data e hora da última atualização
Indica se o double opt-in está ativo para novos contatos
true
Remetente usado nos e-mails de double opt-in (precisa usar um domínio verificado)
"Newsletter <hello@example.com>"
Assunto usado no e-mail de confirmação do double opt-in
"Please confirm your subscription"
Conteúdo JSON do editor usado na confirmação do double opt-in
Show child attributes
Show child attributes
